logadd_s Struct Reference

## Data Fields

void * | table
| Table, in unsigned integers of (width) bytes.
uint32 | table_size
| Number of elements in (table).
uint8 | width
| Width of elements of (table).
int8 | shift
| Right shift applied to elements in (table).

## Detailed Description

Definition at line 94 of file logmath.h.

## Field Documentation

## shift

int8 logadd_s::shift

Right shift applied to elements in (table).

Definition at line 102 of file logmath.h.

Referenced by logmath_exp(), logmath_get_shift(), logmath_get_table_shape(), logmath_init(), logmath_ln_to_log(), logmath_log(), logmath_log10_to_log(), logmath_log10_to_log_float(), logmath_log_float_to_log10(), logmath_log_to_ln(), logmath_log_to_log10(), logmath_read(), and logmath_write().

## table

void* logadd_s::table

Table, in unsigned integers of (width) bytes.

Definition at line 96 of file logmath.h.

Referenced by logmath_add(), logmath_free(), logmath_init(), logmath_read(), and logmath_write().

## table_size

uint32 logadd_s::table_size

Number of elements in (table).

This is never smaller than 256 (important!)

Definition at line 98 of file logmath.h.

Referenced by logmath_add(), logmath_get_table_shape(), logmath_init(), logmath_read(), and logmath_write().

## width

uint8 logadd_s::width

Width of elements of (table).

Definition at line 100 of file logmath.h.

Referenced by logmath_add(), logmath_get_table_shape(), logmath_get_width(), logmath_init(), logmath_read(), and logmath_write().

The documentation for this struct was generated from the following file:

- include/sphinxbase/logmath.h